リビジョンの比較

Firefox OS ビルドの必要条件

リビジョン 309397:

リビジョン 309397 (編集者: Dynamis / 編集日時:

リビジョン 309401:

リビジョン 309401 (編集者: Dynamis / 編集日時:

タイトル:
B2G build prerequisites
B2G build prerequisites
URL スラッグ:
Mozilla/Boot_to_Gecko/B2G_build_prerequisites
Mozilla/Boot_to_Gecko/B2G_build_prerequisites
内容:

リビジョン 309397
リビジョン 309401
n11      Boot to Gecho を入手してビルドする前に、適切に設定された<a href="/ja/docs/Develon11      Boot to Gecho を入手してビルドする前に、適切に設定された<a href="/ja/docs/Develo
>per_Guide/Build_Instructions" title="/ja/docs/Developer_Guide/Bui>per_Guide/Build_Instructions" title="/ja/docs/Developer_Guide/Bui
>ld_Instructions">ビルドシステム</a>が必要です。現在 64 ビット版 Linux ディストリビューション もし>ld_Instructions">ビルド環境</a>が必要です。現在 64 ビット版 Linux ディストリビューション もしくは
>くは Mac OS X でビルド可能です。> Mac OS X でビルド可能です。
n14      互換性のあるスマートフォンを所有する、もしくはエミュレータを使用するn14      互換性のあるスマートフォンを用意する、エミュレータを使用する
n30        Otoro は下位から中位機種のスマートフォン向けのテスト及び開発プラットフォームとして使用されている携帯電話ですn30        Otoro は下位から中位機種のスマートフォン向けのテスト及び開発プラットフォームとして使用されている携帯電話です
>最もコアの Firefox OS 開発者は Otoro で作業しています。>。Firefox OS の主な開発者の殆どは Otoro で作業しています。
n48        デスクトップ版の Firefox OS をビルドすることもできます。こは、<a href="/ja/docs/Xn48        デスクトップ版の Firefox OS をビルドすることもできます。このビルドでは、<a href="/ja/do
>ULRunner" title="/ja/docs/XULRunner">XULRunner</a> アプリケーションで <a h>cs/XULRunner" title="/ja/docs/XULRunner">XULRunner</a> アプリケーションで 
>ref="/ja/docs/Gecko" title="/ja/docs/Gecko">Gecko</a> を実行し、その内側で ><a href="/ja/docs/Gecko" title="/ja/docs/Gecko">Gecko</a> を実行し、その
><a href="/ja/docs/Mozilla/Boot_to_Gecko/Introduction_to_Gaia" tit>中で <a href="/ja/docs/Mozilla/Boot_to_Gecko/Introduction_to_Gaia" 
>le="/ja/docs/Mozilla/Boot_to_Gecko/Introduction_to_Gaia">Gaia</a>>title="/ja/docs/Mozilla/Boot_to_Gecko/Introduction_to_Gaia">Gaia<
> ユーザエクスペリエンス使用することになります。>/a> ユーザ体験確認できます。
n58      ティア 2 のデバイスは一般的な機能、多くの開発者、特にアプリの開発者が使用しているものですので、二番目に変更が行わn58      ティア 2 のデバイスは大抵の機能が動作し、多くの開発者、特にアプリの開発者が使用しているものですので、二番目に優先対
>れることが多いです。>応される環境です。
n65        Nexus S デバイスで動作することがわかっているのは GT-I9020A と GT-I9023 です。他のものn65        Nexus S の動作確認済みモデルは GT-I9020A と GT-I9023 です。他のモデルでも動作するかも
>はおそらく動作するでしょう。>しれません。
n85        動作するモデルは i9100 のみです。他に公式的に互換性のあるモデルはありません。 ( i9100P は NFCn85        動作するモデルは i9100 のみです。他に公式的に互換性のあるモデルはありません。 (i9100P は NFC 
> チップ追加の変更後のものだけが動作する可能性があります )>チップ追加の変更後のものだけが動作する可能性があります)
n108      <li>最低 80GB のハードディスク空間n108      <li>最低 25GB のハードディスク空間
n133      <li>32-bit ncurses ( Ubuntu/Debian では libncurses5-dev )n133      <li>32-bit ncurses (Ubuntu/Debian では libncurses5-dev、Ubuntu
 >/Debian x64 では lib32ncurses5-dev)
n135      <li>32-bit zlib ( Ubuntu/Debian では ia32-libs と lib32z1-dev n135      <li>32-bit zlib (Ubuntu/Debian では ia32-libs と lib32z1-dev)
>) 
136      </li>
137      <li>OpenGL headers (Ubuntu/Debian では libgl1-mesa-dev)
138      </li>
139      <li>gawk
n155      Mac OS X 上で B2G をビルドするには、Mac App Store で入手可能な <a class="extn159      Mac OS X 上で B2G をビルドするには、Mac App Store で入手可能な <a class="ext
>ernal" href="http://itunes.apple.com/us/app/xcode/id497799835?mt=>ernal" href="http://itunes.apple.com/us/app/xcode/id497799835?mt=
>12" title="http://itunes.apple.com/us/app/xcode/id497799835?mt=12>12" title="http://itunes.apple.com/us/app/xcode/id497799835?mt=12
>">Xcode をインストール</a>する必要があります。Xcode のバージョンが 4.4.1+ (Mac OS X10.8 ">">Xcode をインストール</a>する必要があります。Xcode のバージョンが 4.4.1+ (Mac OS X10.8 "
>Mountain Lion")の場合は、Xcode を開き、ダウンロードタブの下の、コンポーネントボタンの下にある、コマンドライン>Mountain Lion")の場合は、Xcode を起動して Preferences を開き、Downloads タブの下の、C
>ツールでインストールをクリックして下さい。Xcode の旧バージョンである 4.4.1(OS X 10.7 "Lion")の場合は>omponents ボタンの下にある、Command Line Tools のインストールをクリックして下さい。Xcode の旧バ
>、必ず基本設定のダウンロードパネルでコマンドラインユーティリティをインストールすることを忘れないでください。さらに、最低でもフリー>ージョンである 4.4.1(OS X 10.7 "Lion")の場合は、必ず Preferences の Downloads パネ
>ディスク空間が 20GB あるかどうか確認してください。>ルで Command Line Tools をインストールすることを忘れないでください。さらに、最低でも空きディスク容量が 20G
 >B あるかどうか確認してください。
n211      もし Samsung Galaxy S2 用にビルドする予定なら、heimdall もインストールする必要があります。n215      もし Samsung Galaxy S2 用にビルドする予定なら、heimdall もインストールする必要があります。
> 詳細は <a href="#heimdall_.E3.81.AE.E3.82.A4.E3.83.B3.E3.82.B9.E3.8> 詳細は <a href="#heimdall_.E3.81.AE.E3.82.A4.E3.83.B3.E3.82.B9.E3.8
>3.88.E3.83.BC.E3.83.AB">heimdall のインストール</a> を参照してください。これはブートストラッ>3.88.E3.83.BC.E3.83.AB">heimdall のインストール</a> を参照してください。ブートストラップスク
>プスクリプトは<strong>行いません</strong>!>リプトではこれは<strong>行いません</strong>!
212    </p>
213    <p>
214      同様に、Java ランタイムのインストールも必要になるでしょう。これも、スクリプトは行いません。
t263      ビルドプロセスは、B2G をビルドする前に ( もちろん、エミュレータをビルドする場合を除いて )、スマートフォンにイt264      ビルドプロセスは、B2G をビルドする前に ( もちろん、エミュレータをビルドする場合を除いて )、スマートフォンにイ
>ンストールされた Android からバイナリ BLOB をプルする必要があります。このため <code>adb</code>A>ンストールされた Android からバイナリ BLOB をプルする必要があります。このため <code>adb</code> (
>ndroid Debug Bridge が必要になります。>Android Debug Bridge) が必要になります。

前に戻る